#include "1kaciga.inc"

// ********  REFERENCED OBJECTS  *******

#declare Sphere004 = object {
  sphere { // Sphere004
    <0,0,0>,1
    scale 0.08
    translate  <1.0, 0.0, 0.1>
  }
}
#declare CSG003 = union {
  object { // Sphere005->Sphere004
    Sphere004
    translate  -2.0*x
  }
  object { Sphere004 }
}
#declare Cylndr001 = object {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale 1.2
    translate  <1.2, 1.2, 0.3>
  }
}
#declare Cube002 = object {
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <0.45, 0.45, 1.0>
    translate  <0.65, 0.65, 1.2>
  }
}
#declare DIF = union {
  object { Cylndr001 }
  object { // Cylndr002->Cylndr001
    Cylndr001
    translate  -2.4*y
  }
  object { // Cylndr003->Cylndr001
    Cylndr001
    translate  -2.4*x
  }
  object { // Cylndr004->Cylndr001
    Cylndr001
    translate  <-2.4, -2.4, 0.0>
  }
  object { Cube002 }
  object { // Cube003->Cube002
    Cube002
    rotate -0.0*x
    translate  -1.3*x
  }
  object { // Cube004->Cube002
    Cube002
    rotate -0.0*x
    translate  -1.3*y
  }
  object { // Cube005->Cube002
    Cube002
    rotate -0.0*x
    translate  <-1.3, -1.3, 0.0>
  }
}




//
// ********  OBJECTS  *******
//

#declare CSG014 = difference {
  sphere { // Sphere007
    <0,0,0>,1
    texture {
      KWood01
    }
  }
  sphere { // Sphere008
    <0,0,0>,1
    texture {
      KWood01
    }
    scale 0.9
  }
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 0.5>
    translate  -0.5*z
  }
  texture {
    KWood01
  }
}
#declare CSG015 = union {
  object { // Sphere009->Sphere004
    Sphere004
    translate  -2.0*x
  }
  sphere { // Sphere010
    <0,0,0>,1
    scale 0.08
    translate  <1.0, 0.0, 0.1>
  }
}
#declare CSG024 = union {
  object { CSG015 }
  object { // CSG016->CSG003
    CSG003
    rotate -20.0*z
  }
  object { // CSG017->CSG003
    CSG003
    rotate -40.0*z
  }
  object { // CSG018->CSG003
    CSG003
    rotate -60.0*z
  }
  object { // CSG019->CSG003
    CSG003
    rotate -80.0*z
  }
  object { // CSG020->CSG003
    CSG003
    rotate -100.0*z
  }
  object { // CSG021->CSG003
    CSG003
    rotate -120.0*z
  }
  object { // CSG022->CSG003
    CSG003
    rotate -140.0*z
  }
  object { // CSG023->CSG003
    CSG003
    rotate -160.0*z
  }
  texture {
    KMeta01
  }
}
#declare CSG025 = union {
  cone { // Cone002
    <0,0,0>, 0.3, <0,0,1>, 0.0
    scale <1.0, 1.0, 0.5>
    translate  1.0*z
  }
  sphere { // Sphere011
    <0,0,0>,1
    scale <0.4, 0.4, 0.2>
    translate  0.9*z
  }
  texture {
    KMeta01
  }
}
#declare VRHIC1 = difference {
  object { CSG025 }
  object { // DIF2->DIF
    DIF
  }
}
#declare DIF3 = union {
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    scale 1.2
    translate  <1.2, 1.2, 0.3>
  }
  object { // Cylndr006->Cylndr001
    Cylndr001
    translate  -2.4*y
  }
  object { // Cylndr007->Cylndr001
    Cylndr001
    translate  -2.4*x
  }
  object { // Cylndr008->Cylndr001
    Cylndr001
    translate  <-2.4, -2.4, 0.0>
  }
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    scale <0.45, 0.45, 1.0>
    translate  <0.65, 0.65, 1.2>
  }
  object { // Cube009->Cube002
    Cube002
    rotate -0.0*x
    translate  -1.3*x
  }
  object { // Cube010->Cube002
    Cube002
    rotate -0.0*x
    translate  -1.3*y
  }
  object { // Cube011->Cube002
    Cube002
    rotate -0.0*x
    translate  <-1.3, -1.3, 0.0>
  }
}
#declare CSG026 = difference {
  sphere { // Sphere012
    <0,0,0>,1
    scale 1.05
  }
  object { DIF3 }
  box { // Cube012
    <-1, -1, -1>, <1, 1, 1>
    scale <1.1, 1.1, 0.6>
    translate  -0.6*z
  }
  texture {
    KMeta01
  }
  bounded_by { // Bound00002
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <1.1, 1.1, 0.6>
      translate  0.5*z
    }
  }
}
union { // KACIGAFIN1
  object { CSG014 }
  torus { // Torus002
    0.975, 0.075  rotate -x*90
    texture {
      KMeta01
    }
  }
  object { CSG024 }
  object { VRHIC1 }
  object { CSG026 }
  scale 0.6
  rotate <0.0, 18.0, -38.0>
  translate  <18.1, -5.5, 5.45>
}


#declare CSG013 = difference {
  sphere { // Sphere001
    <0,0,0>,1
    texture {
      KWood01
    }
  }
  sphere { // Sphere006
    <0,0,0>,1
    texture {
      KWood01
    }
    scale 0.9
  }
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 0.5>
    translate  -0.5*z
  }
  texture {
    KWood01
  }
}
#declare CSG004 = union {
  object { CSG003 }
  object { // CSG005->CSG003
    CSG003
    rotate -20.0*z
  }
  object { // CSG006->CSG003
    CSG003
    rotate -40.0*z
  }
  object { // CSG007->CSG003
    CSG003
    rotate -60.0*z
  }
  object { // CSG008->CSG003
    CSG003
    rotate -80.0*z
  }
  object { // CSG009->CSG003
    CSG003
    rotate -100.0*z
  }
  object { // CSG010->CSG003
    CSG003
    rotate -120.0*z
  }
  object { // CSG011->CSG003
    CSG003
    rotate -140.0*z
  }
  object { // CSG012->CSG003
    CSG003
    rotate -160.0*z
  }
  texture {
    KMeta01
  }
}
#declare CSG002 = union {
  cone { // Cone001
    <0,0,0>, 0.3, <0,0,1>, 0.0
    scale <1.0, 1.0, 0.5>
    translate  1.0*z
  }
  sphere { // Sphere003
    <0,0,0>,1
    scale <0.4, 0.4, 0.2>
    translate  0.9*z
  }
  texture {
    KMeta01
  }
}
#declare VRHIC = difference {
  object { CSG002 }
  object { // DIF1->DIF
    DIF
  }
}
#declare CSG001 = difference {
  sphere { // Sphere002
    <0,0,0>,1
    scale 1.05
  }
  object { DIF }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <1.1, 1.1, 0.6>
    translate  -0.6*z
  }
  texture {
    KMeta01
  }
  bounded_by { // Bound00001
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <1.1, 1.1, 0.6>
      translate  0.5*z
    }
  }
}
union { // KACIGAFIN
  object { CSG013 }
  torus { // Torus001
    0.975, 0.075  rotate -x*90
    texture {
      KMeta01
    }
  }
  object { CSG004 }
  object { VRHIC }
  object { CSG001 }
  scale 0.6
  rotate <-17.077999, 5.774, 18.132>
  translate  <4.9, -22.15, 5.35>
}


